Imported Upstream version 2.4.5
[debian/amanda] / Makefile.in
1 # Makefile.in generated by automake 1.8.4 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 srcdir = @srcdir@
18 top_srcdir = @top_srcdir@
19 VPATH = @srcdir@
20 pkgdatadir = $(datadir)/@PACKAGE@
21 pkglibdir = $(libdir)/@PACKAGE@
22 pkgincludedir = $(includedir)/@PACKAGE@
23 top_builddir = .
24 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
25 INSTALL = @INSTALL@
26 install_sh_DATA = $(install_sh) -c -m 644
27 install_sh_PROGRAM = $(install_sh) -c
28 install_sh_SCRIPT = $(install_sh) -c
29 INSTALL_HEADER = $(INSTALL_DATA)
30 transform = $(program_transform_name)
31 NORMAL_INSTALL = :
32 PRE_INSTALL = :
33 POST_INSTALL = :
34 NORMAL_UNINSTALL = :
35 PRE_UNINSTALL = :
36 POST_UNINSTALL = :
37 host_triplet = @host@
38 subdir = .
39 DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
40         $(srcdir)/Makefile.in $(top_srcdir)/configure AUTHORS \
41         ChangeLog INSTALL NEWS
42 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
43 am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
44         $(top_srcdir)/configure.in
45 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
46         $(ACLOCAL_M4)
47 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
48  configure.lineno configure.status.lineno
49 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
50 CONFIG_HEADER = $(top_builddir)/config/config.h
51 CONFIG_CLEAN_FILES =
52 SOURCES =
53 DIST_SOURCES =
54 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
55         html-recursive info-recursive install-data-recursive \
56         install-exec-recursive install-info-recursive \
57         install-recursive installcheck-recursive installdirs-recursive \
58         pdf-recursive ps-recursive uninstall-info-recursive \
59         uninstall-recursive
60 am__installdirs = "$(DESTDIR)$(pkgdatadir)"
61 pkgdataDATA_INSTALL = $(INSTALL_DATA)
62 DATA = $(pkgdata_DATA)
63 ETAGS = etags
64 CTAGS = ctags
65 DIST_SUBDIRS = config common-src client-src tape-src server-src \
66         changer-src restore-src recover-src amplot man docs example
67 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
68 distdir = $(PACKAGE)-$(VERSION)
69 top_distdir = $(distdir)
70 am__remove_distdir = \
71   { test ! -d $(distdir) \
72     || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
73          && rm -fr $(distdir); }; }
74 DIST_ARCHIVES = $(distdir).tar.gz
75 GZIP_ENV = --best
76 distuninstallcheck_listfiles = find . -type f -print
77 distcleancheck_listfiles = find . -type f -print
78 ACLOCAL = @ACLOCAL@
79 ALLOCA = @ALLOCA@
80 AMANDA_DBGDIR = @AMANDA_DBGDIR@
81 AMANDA_DEBUG_DAYS = @AMANDA_DEBUG_DAYS@
82 AMANDA_TMPDIR = @AMANDA_TMPDIR@
83 AMDEP_FALSE = @AMDEP_FALSE@
84 AMDEP_TRUE = @AMDEP_TRUE@
85 AMPLOT_CAT_COMPRESS = @AMPLOT_CAT_COMPRESS@
86 AMPLOT_CAT_GZIP = @AMPLOT_CAT_GZIP@
87 AMPLOT_CAT_PACK = @AMPLOT_CAT_PACK@
88 AMPLOT_COMPRESS = @AMPLOT_COMPRESS@
89 AMTAR = @AMTAR@
90 AR = @AR@
91 AUTOCONF = @AUTOCONF@
92 AUTOHEADER = @AUTOHEADER@
93 AUTOMAKE = @AUTOMAKE@
94 AWK = @AWK@
95 AWK_VAR_ASSIGNMENT_OPT = @AWK_VAR_ASSIGNMENT_OPT@
96 BINARY_OWNER = @BINARY_OWNER@
97 CAT = @CAT@
98 CC = @CC@
99 CCDEPMODE = @CCDEPMODE@
100 CFLAGS = @CFLAGS@
101 CHIO = @CHIO@
102 CHS = @CHS@
103 CLIENT_LOGIN = @CLIENT_LOGIN@
104 CLIENT_SCRIPTS_OPT = @CLIENT_SCRIPTS_OPT@
105 COMPRESS = @COMPRESS@
106 CONFIGURE_COMMAND = @CONFIGURE_COMMAND@
107 CONFIG_DIR = @CONFIG_DIR@
108 CPP = @CPP@
109 CPPFLAGS = @CPPFLAGS@
110 CXX = @CXX@
111 CXXCPP = @CXXCPP@
112 CXXDEPMODE = @CXXDEPMODE@
113 CXXFLAGS = @CXXFLAGS@
114 CYGPATH_W = @CYGPATH_W@
115 DB_EXT = @DB_EXT@
116 DD = @DD@
117 DEFAULT_CHANGER_DEVICE = @DEFAULT_CHANGER_DEVICE@
118 DEFAULT_CONFIG = @DEFAULT_CONFIG@
119 DEFAULT_RAW_TAPE_DEVICE = @DEFAULT_RAW_TAPE_DEVICE@
120 DEFAULT_SERVER = @DEFAULT_SERVER@
121 DEFAULT_TAPE_DEVICE = @DEFAULT_TAPE_DEVICE@
122 DEFAULT_TAPE_SERVER = @DEFAULT_TAPE_SERVER@
123 DEFS = @DEFS@
124 DEPDIR = @DEPDIR@
125 DUMP = @DUMP@
126 ECHO = @ECHO@
127 ECHO_C = @ECHO_C@
128 ECHO_N = @ECHO_N@
129 ECHO_T = @ECHO_T@
130 EGREP = @EGREP@
131 EXEEXT = @EXEEXT@
132 F77 = @F77@
133 FFLAGS = @FFLAGS@
134 GETCONF = @GETCONF@
135 GNUPLOT = @GNUPLOT@
136 GNUTAR = @GNUTAR@
137 GNUTAR_LISTED_INCREMENTAL_DIRX = @GNUTAR_LISTED_INCREMENTAL_DIRX@
138 GREP = @GREP@
139 GZIP = @GZIP@
140 INSTALL_DATA = @INSTALL_DATA@
141 INSTALL_PROGRAM = @INSTALL_PROGRAM@
142 INSTALL_SCRIPT = @INSTALL_SCRIPT@
143 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
144 LDFLAGS = @LDFLAGS@
145 LEX = @LEX@
146 LEXLIB = @LEXLIB@
147 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
148 LIBOBJS = @LIBOBJS@
149 LIBS = @LIBS@
150 LIBTOOL = @LIBTOOL@
151 LIBTOOL_DEPS = @LIBTOOL_DEPS@
152 LN_S = @LN_S@
153 LTALLOCA = @LTALLOCA@
154 LTLIBOBJS = @LTLIBOBJS@
155 MAILER = @MAILER@
156 MAKEINFO = @MAKEINFO@
157 MAXTAPEBLOCKSIZE = @MAXTAPEBLOCKSIZE@
158 MCUTIL = @MCUTIL@
159 MT = @MT@
160 MTX = @MTX@
161 MT_FILE_FLAG = @MT_FILE_FLAG@
162 OBJEXT = @OBJEXT@
163 PACKAGE = @PACKAGE@
164 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
165 PACKAGE_NAME = @PACKAGE_NAME@
166 PACKAGE_STRING = @PACKAGE_STRING@
167 PACKAGE_TARNAME = @PACKAGE_TARNAME@
168 PACKAGE_VERSION = @PACKAGE_VERSION@
169 PATH_SEPARATOR = @PATH_SEPARATOR@
170 PCAT = @PCAT@
171 PERL = @PERL@
172 PRINT = @PRINT@
173 RANLIB = @RANLIB@
174 READLINE_LIBS = @READLINE_LIBS@
175 RESTORE = @RESTORE@
176 SAMBA_CLIENT = @SAMBA_CLIENT@
177 SERVICE_SUFFIX = @SERVICE_SUFFIX@
178 SETUID_GROUP = @SETUID_GROUP@
179 SET_MAKE = @SET_MAKE@
180 SHELL = @SHELL@
181 SNAPSHOT_STAMP = @SNAPSHOT_STAMP@
182 STRIP = @STRIP@
183 USE_VERSION_SUFFIXES = @USE_VERSION_SUFFIXES@
184 VDUMP = @VDUMP@
185 VERSION = @VERSION@
186 VERSION_COMMENT = @VERSION_COMMENT@
187 VERSION_MAJOR = @VERSION_MAJOR@
188 VERSION_MINOR = @VERSION_MINOR@
189 VERSION_PATCH = @VERSION_PATCH@
190 VERSION_SUFFIX = @VERSION_SUFFIX@
191 VRESTORE = @VRESTORE@
192 VXDUMP = @VXDUMP@
193 VXRESTORE = @VXRESTORE@
194 WANT_AMPLOT_FALSE = @WANT_AMPLOT_FALSE@
195 WANT_AMPLOT_TRUE = @WANT_AMPLOT_TRUE@
196 WANT_CHG_SCSI_FALSE = @WANT_CHG_SCSI_FALSE@
197 WANT_CHG_SCSI_TRUE = @WANT_CHG_SCSI_TRUE@
198 WANT_CHIO_SCSI_FALSE = @WANT_CHIO_SCSI_FALSE@
199 WANT_CHIO_SCSI_TRUE = @WANT_CHIO_SCSI_TRUE@
200 WANT_CLIENT_FALSE = @WANT_CLIENT_FALSE@
201 WANT_CLIENT_TRUE = @WANT_CLIENT_TRUE@
202 WANT_RECOVER_FALSE = @WANT_RECOVER_FALSE@
203 WANT_RECOVER_TRUE = @WANT_RECOVER_TRUE@
204 WANT_RESTORE_FALSE = @WANT_RESTORE_FALSE@
205 WANT_RESTORE_TRUE = @WANT_RESTORE_TRUE@
206 WANT_RUNTIME_PSEUDO_RELOC_FALSE = @WANT_RUNTIME_PSEUDO_RELOC_FALSE@
207 WANT_RUNTIME_PSEUDO_RELOC_TRUE = @WANT_RUNTIME_PSEUDO_RELOC_TRUE@
208 WANT_SAMBA_FALSE = @WANT_SAMBA_FALSE@
209 WANT_SAMBA_TRUE = @WANT_SAMBA_TRUE@
210 WANT_SERVER_FALSE = @WANT_SERVER_FALSE@
211 WANT_SERVER_TRUE = @WANT_SERVER_TRUE@
212 WANT_SETUID_CLIENT_FALSE = @WANT_SETUID_CLIENT_FALSE@
213 WANT_SETUID_CLIENT_TRUE = @WANT_SETUID_CLIENT_TRUE@
214 WANT_TAPE_FALSE = @WANT_TAPE_FALSE@
215 WANT_TAPE_TRUE = @WANT_TAPE_TRUE@
216 XFSDUMP = @XFSDUMP@
217 XFSRESTORE = @XFSRESTORE@
218 YACC = @YACC@
219 ac_c = @ac_c@
220 ac_ct_AR = @ac_ct_AR@
221 ac_ct_CC = @ac_ct_CC@
222 ac_ct_CXX = @ac_ct_CXX@
223 ac_ct_F77 = @ac_ct_F77@
224 ac_ct_RANLIB = @ac_ct_RANLIB@
225 ac_ct_STRIP = @ac_ct_STRIP@
226 ac_n = @ac_n@
227 am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
228 am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
229 am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
230 am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
231 am__include = @am__include@
232 am__leading_dot = @am__leading_dot@
233 am__quote = @am__quote@
234 bindir = @bindir@
235 build = @build@
236 build_alias = @build_alias@
237 build_cpu = @build_cpu@
238 build_os = @build_os@
239 build_vendor = @build_vendor@
240 datadir = @datadir@
241 exec_prefix = @exec_prefix@
242 host = @host@
243 host_alias = @host_alias@
244 host_cpu = @host_cpu@
245 host_os = @host_os@
246 host_vendor = @host_vendor@
247 includedir = @includedir@
248 infodir = @infodir@
249 install_sh = @install_sh@
250 libdir = @libdir@
251 libexecdir = @libexecdir@
252 localstatedir = @localstatedir@
253 mandir = @mandir@
254 mkdir_p = @mkdir_p@
255 oldincludedir = @oldincludedir@
256 prefix = @prefix@
257 program_transform_name = @program_transform_name@
258 sbindir = @sbindir@
259 sharedstatedir = @sharedstatedir@
260 sysconfdir = @sysconfdir@
261 target = @target@
262 target_alias = @target_alias@
263 target_cpu = @target_cpu@
264 target_os = @target_os@
265 target_vendor = @target_vendor@
266 AUTOMAKE_OPTIONS = 1.4 foreign
267 ACINCLUDE_M4 = $(srcdir)/acinclude.m4
268 ACINCLUDE_M4I = $(srcdir)/config/acinclude.m4i
269 LIBTOOL_M4I = $(srcdir)/config/libtool.m4i
270 ACINCLUDE_M4_DEPS = $(ACINCLUDE_M4I) $(LIBTOOL_M4I)
271 @WANT_CLIENT_TRUE@CLIENT_SUBDIRS = client-src
272 @WANT_TAPE_TRUE@TAPE_SUBDIRS = tape-src
273 @WANT_SERVER_TRUE@SERVER_SUBDIRS = server-src changer-src
274 @WANT_RESTORE_TRUE@RESTORE_SUBDIRS = restore-src
275 @WANT_RECOVER_TRUE@RECOVER_SUBDIRS = recover-src
276 @WANT_AMPLOT_TRUE@PLOT_SUBDIRS = amplot
277 # order is significant, don't change it arbitrarily
278 SUBDIRS = \
279         config \
280         common-src \
281         $(CLIENT_SUBDIRS) \
282         $(TAPE_SUBDIRS) \
283         $(SERVER_SUBDIRS) \
284         $(RESTORE_SUBDIRS) \
285         $(RECOVER_SUBDIRS) \
286         $(PLOT_SUBDIRS) \
287         man docs example
288
289 pkgdata_DATA = \
290         COPYRIGHT                       \
291         COPYRIGHT-APACHE                \
292         COPYRIGHT-REGEX
293
294 EXTRA_DIST = $(SNAPSHOT_STAMP) \
295         $(pkgdata_DATA)                 \
296         contrib/README                  \
297         contrib/dbbackup.README         \
298         contrib/dbbackup.ksh            \
299         contrib/dbbackup.sql            \
300         contrib/dbbackup.tcl            \
301         contrib/mkamandisk              \
302         contrib/set_prod_link.pl        \
303         contrib/sst/Makefile            \
304         contrib/sst/README              \
305         contrib/sst/README.Amanda       \
306         contrib/sst/sst.c               \
307         contrib/sst/sst.conf            \
308         contrib/sst/sst_def.h           \
309         contrib/sst/sstest.c            \
310         patches/regex-3.6alpha.patch    \
311         patches/samba-largefs.patch     \
312         patches/tar-1.12.patch          \
313         regex-src/COPYRIGHT             \
314         regex-src/Makefile              \
315         regex-src/README                \
316         regex-src/WHATSNEW              \
317         regex-src/cclass.h              \
318         regex-src/cname.h               \
319         regex-src/debug.c               \
320         regex-src/engine.c              \
321         regex-src/main.c                \
322         regex-src/mkh                   \
323         regex-src/regcomp.c             \
324         regex-src/regerror.c            \
325         regex-src/regex.3               \
326         regex-src/regex.7               \
327         regex-src/regex2.h              \
328         regex-src/regexec.c             \
329         regex-src/regfree.c             \
330         regex-src/split.c               \
331         regex-src/tests                 \
332         regex-src/utils.h               \
333         regex-src/fake/limits.h         \
334         regex-src/fake/memmove.c        \
335         regex-src/fake/stdlib.h
336
337 CONFIG_STATUS = config.status
338 all: all-recursive
339
340 .SUFFIXES:
341 am--refresh:
342         @:
343 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
344         @for dep in $?; do \
345           case '$(am__configure_deps)' in \
346             *$$dep*) \
347               echo ' cd $(srcdir) && $(AUTOMAKE) --foreign '; \
348               cd $(srcdir) && $(AUTOMAKE) --foreign  \
349                 && exit 0; \
350               exit 1;; \
351           esac; \
352         done; \
353         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  Makefile'; \
354         cd $(top_srcdir) && \
355           $(AUTOMAKE) --foreign  Makefile
356 .PRECIOUS: Makefile
357 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
358         @case '$?' in \
359           *config.status*) \
360             echo ' $(SHELL) ./config.status'; \
361             $(SHELL) ./config.status;; \
362           *) \
363             echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
364             cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
365         esac;
366
367 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
368         $(SHELL) ./config.status --recheck
369
370 $(top_srcdir)/configure:  $(am__configure_deps)
371         cd $(srcdir) && $(AUTOCONF)
372 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
373         cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
374
375 mostlyclean-libtool:
376         -rm -f *.lo
377
378 clean-libtool:
379         -rm -rf .libs _libs
380
381 distclean-libtool:
382         -rm -f libtool
383 uninstall-info-am:
384 install-pkgdataDATA: $(pkgdata_DATA)
385         @$(NORMAL_INSTALL)
386         test -z "$(pkgdatadir)" || $(mkdir_p) "$(DESTDIR)$(pkgdatadir)"
387         @list='$(pkgdata_DATA)'; for p in $$list; do \
388           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
389           f="`echo $$p | sed -e 's|^.*/||'`"; \
390           echo " $(pkgdataDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(pkgdatadir)/$$f'"; \
391           $(pkgdataDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(pkgdatadir)/$$f"; \
392         done
393
394 uninstall-pkgdataDATA:
395         @$(NORMAL_UNINSTALL)
396         @list='$(pkgdata_DATA)'; for p in $$list; do \
397           f="`echo $$p | sed -e 's|^.*/||'`"; \
398           echo " rm -f '$(DESTDIR)$(pkgdatadir)/$$f'"; \
399           rm -f "$(DESTDIR)$(pkgdatadir)/$$f"; \
400         done
401
402 # This directory's subdirectories are mostly independent; you can cd
403 # into them and run `make' without going through this Makefile.
404 # To change the values of `make' variables: instead of editing Makefiles,
405 # (1) if the variable is set in `config.status', edit `config.status'
406 #     (which will cause the Makefiles to be regenerated when you run `make');
407 # (2) otherwise, pass the desired values on the `make' command line.
408 $(RECURSIVE_TARGETS):
409         @set fnord $$MAKEFLAGS; amf=$$2; \
410         dot_seen=no; \
411         target=`echo $@ | sed s/-recursive//`; \
412         list='$(SUBDIRS)'; for subdir in $$list; do \
413           echo "Making $$target in $$subdir"; \
414           if test "$$subdir" = "."; then \
415             dot_seen=yes; \
416             local_target="$$target-am"; \
417           else \
418             local_target="$$target"; \
419           fi; \
420           (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
421            || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
422         done; \
423         if test "$$dot_seen" = "no"; then \
424           $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
425         fi; test -z "$$fail"
426
427 mostlyclean-recursive clean-recursive distclean-recursive \
428 maintainer-clean-recursive:
429         @set fnord $$MAKEFLAGS; amf=$$2; \
430         dot_seen=no; \
431         case "$@" in \
432           distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
433           *) list='$(SUBDIRS)' ;; \
434         esac; \
435         rev=''; for subdir in $$list; do \
436           if test "$$subdir" = "."; then :; else \
437             rev="$$subdir $$rev"; \
438           fi; \
439         done; \
440         rev="$$rev ."; \
441         target=`echo $@ | sed s/-recursive//`; \
442         for subdir in $$rev; do \
443           echo "Making $$target in $$subdir"; \
444           if test "$$subdir" = "."; then \
445             local_target="$$target-am"; \
446           else \
447             local_target="$$target"; \
448           fi; \
449           (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
450            || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
451         done && test -z "$$fail"
452 tags-recursive:
453         list='$(SUBDIRS)'; for subdir in $$list; do \
454           test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
455         done
456 ctags-recursive:
457         list='$(SUBDIRS)'; for subdir in $$list; do \
458           test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
459         done
460
461 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
462         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
463         unique=`for i in $$list; do \
464             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
465           done | \
466           $(AWK) '    { files[$$0] = 1; } \
467                END { for (i in files) print i; }'`; \
468         mkid -fID $$unique
469 tags: TAGS
470
471 TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
472                 $(TAGS_FILES) $(LISP)
473         tags=; \
474         here=`pwd`; \
475         if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
476           include_option=--etags-include; \
477           empty_fix=.; \
478         else \
479           include_option=--include; \
480           empty_fix=; \
481         fi; \
482         list='$(SUBDIRS)'; for subdir in $$list; do \
483           if test "$$subdir" = .; then :; else \
484             test -f $$subdir/TAGS && \
485               tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
486           fi; \
487         done; \
488         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
489         unique=`for i in $$list; do \
490             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
491           done | \
492           $(AWK) '    { files[$$0] = 1; } \
493                END { for (i in files) print i; }'`; \
494         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
495           test -z "$$unique" && unique=$$empty_fix; \
496           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
497             $$tags $$unique; \
498         fi
499 ctags: CTAGS
500 CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
501                 $(TAGS_FILES) $(LISP)
502         tags=; \
503         here=`pwd`; \
504         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
505         unique=`for i in $$list; do \
506             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
507           done | \
508           $(AWK) '    { files[$$0] = 1; } \
509                END { for (i in files) print i; }'`; \
510         test -z "$(CTAGS_ARGS)$$tags$$unique" \
511           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
512              $$tags $$unique
513
514 GTAGS:
515         here=`$(am__cd) $(top_builddir) && pwd` \
516           && cd $(top_srcdir) \
517           && gtags -i $(GTAGS_ARGS) $$here
518
519 distclean-tags:
520         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
521
522 distdir: $(DISTFILES)
523         $(am__remove_distdir)
524         mkdir $(distdir)
525         $(mkdir_p) $(distdir)/amplot $(distdir)/changer-src $(distdir)/client-src $(distdir)/common-src $(distdir)/contrib $(distdir)/contrib/sst $(distdir)/example $(distdir)/patches $(distdir)/regex-src $(distdir)/regex-src/fake $(distdir)/server-src
526         @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
527         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
528         list='$(DISTFILES)'; for file in $$list; do \
529           case $$file in \
530             $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
531             $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
532           esac; \
533           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
534           dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
535           if test "$$dir" != "$$file" && test "$$dir" != "."; then \
536             dir="/$$dir"; \
537             $(mkdir_p) "$(distdir)$$dir"; \
538           else \
539             dir=''; \
540           fi; \
541           if test -d $$d/$$file; then \
542             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
543               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
544             fi; \
545             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
546           else \
547             test -f $(distdir)/$$file \
548             || cp -p $$d/$$file $(distdir)/$$file \
549             || exit 1; \
550           fi; \
551         done
552         list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
553           if test "$$subdir" = .; then :; else \
554             test -d "$(distdir)/$$subdir" \
555             || mkdir "$(distdir)/$$subdir" \
556             || exit 1; \
557             (cd $$subdir && \
558               $(MAKE) $(AM_MAKEFLAGS) \
559                 top_distdir="../$(top_distdir)" \
560                 distdir="../$(distdir)/$$subdir" \
561                 distdir) \
562               || exit 1; \
563           fi; \
564         done
565         $(MAKE) $(AM_MAKEFLAGS) \
566           top_distdir="$(top_distdir)" distdir="$(distdir)" \
567           dist-hook
568         -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
569           ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
570           ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
571           ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
572         || chmod -R a+r $(distdir)
573 dist-gzip: distdir
574         $(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
575         $(am__remove_distdir)
576
577 dist-bzip2: distdir
578         $(AMTAR) chof - $(distdir) | bzip2 -9 -c >$(distdir).tar.bz2
579         $(am__remove_distdir)
580
581 dist-tarZ: distdir
582         $(AMTAR) chof - $(distdir) | compress -c >$(distdir).tar.Z
583         $(am__remove_distdir)
584
585 dist-shar: distdir
586         shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
587         $(am__remove_distdir)
588
589 dist-zip: distdir
590         -rm -f $(distdir).zip
591         zip -rq $(distdir).zip $(distdir)
592         $(am__remove_distdir)
593
594 dist dist-all: distdir
595         $(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
596         $(am__remove_distdir)
597
598 # This target untars the dist file and tries a VPATH configuration.  Then
599 # it guarantees that the distribution is self-contained by making another
600 # tarfile.
601 distcheck: dist
602         case '$(DIST_ARCHIVES)' in \
603         *.tar.gz*) \
604           GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(AMTAR) xf - ;;\
605         *.tar.bz2*) \
606           bunzip2 -c $(distdir).tar.bz2 | $(AMTAR) xf - ;;\
607         *.tar.Z*) \
608           uncompress -c $(distdir).tar.Z | $(AMTAR) xf - ;;\
609         *.shar.gz*) \
610           GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
611         *.zip*) \
612           unzip $(distdir).zip ;;\
613         esac
614         chmod -R a-w $(distdir); chmod a+w $(distdir)
615         mkdir $(distdir)/_build
616         mkdir $(distdir)/_inst
617         chmod a-w $(distdir)
618         dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
619           && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
620           && cd $(distdir)/_build \
621           && ../configure --srcdir=.. --prefix="$$dc_install_base" \
622             $(DISTCHECK_CONFIGURE_FLAGS) \
623           && $(MAKE) $(AM_MAKEFLAGS) \
624           && $(MAKE) $(AM_MAKEFLAGS) dvi \
625           && $(MAKE) $(AM_MAKEFLAGS) check \
626           && $(MAKE) $(AM_MAKEFLAGS) install \
627           && $(MAKE) $(AM_MAKEFLAGS) installcheck \
628           && $(MAKE) $(AM_MAKEFLAGS) uninstall \
629           && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
630                 distuninstallcheck \
631           && chmod -R a-w "$$dc_install_base" \
632           && ({ \
633                (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
634                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
635                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
636                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
637                     distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
638               } || { rm -rf "$$dc_destdir"; exit 1; }) \
639           && rm -rf "$$dc_destdir" \
640           && $(MAKE) $(AM_MAKEFLAGS) dist \
641           && rm -rf $(DIST_ARCHIVES) \
642           && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
643         $(am__remove_distdir)
644         @(echo "$(distdir) archives ready for distribution: "; \
645           list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
646           sed -e '1{h;s/./=/g;p;x;}' -e '$${p;x;}'
647 distuninstallcheck:
648         @cd $(distuninstallcheck_dir) \
649         && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
650            || { echo "ERROR: files left after uninstall:" ; \
651                 if test -n "$(DESTDIR)"; then \
652                   echo "  (check DESTDIR support)"; \
653                 fi ; \
654                 $(distuninstallcheck_listfiles) ; \
655                 exit 1; } >&2
656 distcleancheck: distclean
657         @if test '$(srcdir)' = . ; then \
658           echo "ERROR: distcleancheck can only run from a VPATH build" ; \
659           exit 1 ; \
660         fi
661         @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
662           || { echo "ERROR: files left in build directory after distclean:" ; \
663                $(distcleancheck_listfiles) ; \
664                exit 1; } >&2
665 check-am: all-am
666 check: check-recursive
667 all-am: Makefile $(DATA)
668 installdirs: installdirs-recursive
669 installdirs-am:
670         for dir in "$(DESTDIR)$(pkgdatadir)"; do \
671           test -z "$$dir" || $(mkdir_p) "$$dir"; \
672         done
673 install: install-recursive
674 install-exec: install-exec-recursive
675 install-data: install-data-recursive
676 uninstall: uninstall-recursive
677
678 install-am: all-am
679         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
680
681 installcheck: installcheck-recursive
682 install-strip:
683         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
684           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
685           `test -z '$(STRIP)' || \
686             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
687 mostlyclean-generic:
688
689 clean-generic:
690
691 distclean-generic:
692         -rm -f $(CONFIG_CLEAN_FILES)
693
694 maintainer-clean-generic:
695         @echo "This command is intended for maintainers to use"
696         @echo "it deletes files that may require special tools to rebuild."
697 clean: clean-recursive
698
699 clean-am: clean-generic clean-libtool mostlyclean-am
700
701 distclean: distclean-recursive
702         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
703         -rm -f Makefile
704 distclean-am: clean-am distclean-generic distclean-libtool \
705         distclean-tags
706
707 dvi: dvi-recursive
708
709 dvi-am:
710
711 html: html-recursive
712
713 info: info-recursive
714
715 info-am:
716
717 install-data-am: install-pkgdataDATA
718
719 install-exec-am:
720
721 install-info: install-info-recursive
722
723 install-man:
724
725 installcheck-am:
726
727 maintainer-clean: maintainer-clean-recursive
728         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
729         -rm -rf $(top_srcdir)/autom4te.cache
730         -rm -f Makefile
731 maintainer-clean-am: distclean-am maintainer-clean-generic
732
733 mostlyclean: mostlyclean-recursive
734
735 mostlyclean-am: mostlyclean-generic mostlyclean-libtool
736
737 pdf: pdf-recursive
738
739 pdf-am:
740
741 ps: ps-recursive
742
743 ps-am:
744
745 uninstall-am: uninstall-info-am uninstall-pkgdataDATA
746
747 uninstall-info: uninstall-info-recursive
748
749 .PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am am--refresh check \
750         check-am clean clean-generic clean-libtool clean-recursive \
751         ctags ctags-recursive dist dist-all dist-bzip2 dist-gzip \
752         dist-shar dist-tarZ dist-zip distcheck distclean \
753         distclean-generic distclean-libtool distclean-recursive \
754         distclean-tags distcleancheck distdir distuninstallcheck dvi \
755         dvi-am html html-am info info-am install install-am \
756         install-data install-data-am install-exec install-exec-am \
757         install-info install-info-am install-man install-pkgdataDATA \
758         install-strip installcheck installcheck-am installdirs \
759         installdirs-am maintainer-clean maintainer-clean-generic \
760         maintainer-clean-recursive mostlyclean mostlyclean-generic \
761         mostlyclean-libtool mostlyclean-recursive pdf pdf-am ps ps-am \
762         tags tags-recursive uninstall uninstall-am uninstall-info-am \
763         uninstall-pkgdataDATA
764
765
766 $(ACINCLUDE_M4): $(ACINCLUDE_M4_DEPS)
767         @-rm -f $@
768         @cat $(ACINCLUDE_M4_DEPS) > $@
769
770 libtool: $(LIBTOOL_DEPS)
771         $(SHELL) ./config.status --recheck
772 $(CONFIG_STATUS): $(SNAPSHOT_STAMP)
773 SNAPSHOT:
774         : SNAPSHOT file was removed, will reconfigure...
775
776 dist-hook:
777         find $(distdir)/. -name '*.test.c' -exec rm {} \;
778 # Tell versions [3.59,3.63) of GNU make to not export all variables.
779 # Otherwise a system limit (for SysV at least) may be exceeded.
780 .NOEXPORT: